<template>
    <div class="down-distance-card is-card">
        <div>
            <i class="description">Down</i><br />
            <select id="down_num" v-model="down">
                <option value="1st">1st</option>
                <option value="2nd">2nd</option>
                <option value="3rd">3rd</option>
                <option value="4th">4th</option>
            </select>
        </div>
        <p class="mx-2 mt-4">and</p>
        <div>
            <i class="description">Distance</i><br />
            <input v-model.lazy="distance" type="number" />
        </div>
    </div>
</template>

<script lang="ts">
import Vue from "vue";
import state from "~/state";

export default Vue.extend({
    computed: {
        down: {
            get() {
                return state.down;
            },
            set(value: DownT) {
                state.down = value;
            },
        },

        distance: {
            get() {
                return state.distance;
            },
            set(value: string) {
                state.distance = Number(value);
            },
        },
    },
});
</script>

<style scoped>
.down-distance-card select,
.down-distance-card input {
    width: 80px;
}
</style>
